Subject: [alpine-devel] Error while building a package in alp-2.3.0

From: Harry Lachanas <[email-masked]>
Date: Wed, 02 Nov 2011 10:41:00 +0200

I am trying to build this ( http://liblcfg.carnivore.it/ )" and during 
./configure I am getting ...
error: cannot compute sizeof (long)
The test code that breaks is included.

Mean while  I compiled the package in 2.2
Could somebody provide some help ???

Thanks
Harry

| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #define LT_OBJDIR ".libs/"
| #define HAVE_STDINT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DECL_GETOPT 1
| #define HAVE_DECL_GETSUBOPT 1
| #define HAVE_DECL_GETOPT_LONG 0
| #define HAVE_DECL_SETENV 1
| #define HAVE_DECL_PUTENV 1
| #define RETSIGTYPE void
| /* end confdefs.h.  */
| #include <stdio.h>
| #ifdef HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #ifdef HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #ifdef STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # ifdef HAVE_STDLIB_H
| #  include <stdlib.h>
| # endif
| #endif
| #ifdef HAVE_STRING_H
| # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
| #  include <memory.h>
| # endif
| # include <string.h>
| #endif
| #ifdef HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #ifdef HAVE_INTTYPES_H
| # include <inttypes.h>
| #endif
| #ifdef HAVE_STDINT_H
| # include <stdint.h>
| #endif
| #ifdef HAVE_UNISTD_H
| # include <unistd.h>
| #endif
|    typedef long ac__type_sizeof_;
| static long int longval () { return (long int) (sizeof 
(ac__type_sizeof_)); }
| static unsigned long int ulongval () { return (long int) (sizeof 
(ac__type_sizeof_)); }
| #include <stdio.h>
| #include <stdlib.h>
| int
| main ()
| {
|
|   FILE *f = fopen ("conftest.val", "w");
|   if (! f)
|     return 1;
|   if (((long int) (sizeof (ac__type_sizeof_))) < 0)
|     {
|       long int i = longval ();
|       if (i != ((long int) (sizeof (ac__type_sizeof_))))
|       return 1;
|       fprintf (f, "%ld\n", i);
|     }
|   else
|     {
|       unsigned long int i = ulongval ();
|       if (i != ((long int) (sizeof (ac__type_sizeof_))))
|       return 1;
|       fprintf (f, "%lu\n", i);
|     }
|   return ferror (f) || fclose (f) != 0;
|
|   ;
|   return 0;
| }
configure:13456: error: cannot compute sizeof (long)